#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		pytver		%(basename %{__python})
%define		_builddir	%{_topdir}/BUILD_%{pytver}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		xname		%(echo %{name} | cut -d '-' -f2-3 | tr -s '-' '_')
%define		lname		%(echo %{xname} | tr '[:upper:]' '[:lower:]')
#-----------------------------------------------------------------------------
Name		:	python3-MyST-Parser
Version		:	3.0.1
Release		:	17.2.0.rel%{?dist}
Summary		:	A commonmark compliant parser, with bridges to docutils & sphinx

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/executablebooks/MyST-Parser

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{pytver}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

BuildArch	:	noarch

Requires	:	python3-pyyaml
Requires	:	python3-markdown-it-py

#-----------------------------------------------------------------------------
%description
A fully-functional markdown flavor and parser for Sphinx.
MyST allows you to write Sphinx documentation entirely in
markdown.
MyST markdown provides a markdown equivalent of the
reStructuredText syntax, meaning that you can do anything
in MyST that you can do with reStructuredText.
It is an attempt to have the best of both worlds: the
flexibility and extensibility of Sphinx with the
simplicity and readability of Markdown.

#=============================================================================
%files			
%defattr(-,root,root,-)
%{_bindir}/myst-*
%{python3_sitelib}/%{lname}/*.py
%{python3_sitelib}/%{lname}/__pycache__/*.pyc
%{python3_sitelib}/%{lname}/config/*.py
%{python3_sitelib}/%{lname}/config/__pycache__/*.pyc
%{python3_sitelib}/%{lname}/mdit_to_docutils/*.py
%{python3_sitelib}/%{lname}/mdit_to_docutils/__pycache__/*.pyc
%{python3_sitelib}/%{lname}/parsers/*.py
%{python3_sitelib}/%{lname}/parsers/__pycache__/*.pyc
%{python3_sitelib}/%{lname}/sphinx_ext/*.py
%{python3_sitelib}/%{lname}/sphinx_ext/__pycache__/*.pyc
%{python3_sitelib}/%{lname}/py.typed
%{python3_sitelib}/%{lname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
